Subject: Tk-b9.01 released.
From: [email-masked]
Date: 20 Dec 1995 16:29:50 GMT
Newsgroups: comp.lang.perl.announce,comp.lang.perl.misc

I have just uploaded Tk-b9.01.tar.gz to CPAN.

This version has all the things I have hinted at, but main reason 
for release now is that Tk-b8 and perl5.002 don't work together too 
well.

To use this version you need very latest perl - perl5.002b1f.
In particular un-patched 5.002beta1 does not work.

For AIX and some version of linux you nedd MakeMaker-5.14 as well.

I apologize for the .01 but first version of Tk-b9 I put on 
CPAN did not build on AIX, and MakeMaker was blamed for all problems
and it turned out one was mine.

The user visible changes in Tk-b9 / Tk-b9.01

* Most if not all 'sub commands' now have an alias 
  e.g. 
   $w->option('add',...) 
  can now be written 
   $w->optionAdd(...) 
  Please let me know if I have missed any. 
  Medium term goal is to make second form 
  call straight into associated C code.

* A few method names have been changed to be more consistent.
  A script b9names is provided which should translate -b8 
  applications to -b9 names.

* The short hand constructors e.g. $w->Button(...)
  are now delegated to nominee widget of a composite.
  This makes it easier to create widgets with Text as 
  a parent inside a ScrlText. To create new widgets 
  as children of the composite 'frame' you need to use
  new directly:

  Tk::Button->new($cw,...);

* The Inherit mechanism is replaced with 5.002's SUPER::

* There is a Table widget - my own not BLT port.

* Various binding enhancements and two new flavours of Text:
  a read-only one, and one which allows edits to be undone.

See Changes file for more detail.